clear all

****************************************************************************************************
****************************************************************************************************
* DEFINE OPÇÕES GERAIS
****************************************************************************************************
****************************************************************************************************
	
* USAR VÍRGULA COMO PADRÃO (P/ DECIMAIS)
	set dp comma

* APRESENTA TODOS OS OUTPUTS DE UMA VEZ (desliga o "more..."). 
*ps.: ESSE COMANDO TEM QUE SER DIGITADO DIRETAMENTE NO PROMPT DO STATA. EXECUTAR PELO DO-FILE NÃO FUNCIONA
	set more off, permanently

*INSTALAÇÕES DE PACOTES
	*  ssc install shapley2
	*  ssc install esttab
	

*use "C:\Users\liuta\Dropbox\2.PAPERS\2022_Adr&Car_Subn2\1_Data\dados_2018_recodificado.dta", clear
use "C:\Users\hguic\OneDrive\2.PAPERS\2022_Adr&Car_Subn2\1_Data\dados_2018_recodificado_stata13.dta", clear


***************************************************************************************************
****************************************************************************************************
* REGRESSÕES
****************************************************************************************************
****************************************************************************************************

*--------------------------------------------------------------------------------
* Tabela 1 - REGRESSOES PARA PATRIMONIO
*--------------------------------------------------------------------------------

************************ Tabela 1, Coluna 1: EXISTE CONSELHO DE PATRIMONIO 
	
	reg cons_patrim ///
			ln_pop_2018 ///
			ln_pib_percapita_2015 ///
			CAPITAL ///
			ln_N_funcion_dir_e_indir ///			
			fasfil_dir_cult_por1000 ///
			apoia_bem_tombado /// 
			legisl_mun_patrim_antesConselho ///
			estado_consPatrim_antesConsMun ///
			estado_leiPatr_antesConselho ///
			estado_transfRecurso_tombados ///
			ConsEst_principal_OrgExec ///
			Est_possui_instituto
	
		
	estimates store CMP_existe_semUFselec, title(CMP_existe_semUFselec)
	
	
	shapley2, stat(r2) ///
	group (ln_pop_2018 ln_pib_percapita_2015 CAPITAL ln_N_funcion_dir_e_indir fasfil_dir_cult_por1000, ///
			apoia_bem_tombado, ///
			legisl_mun_patrim_antesConselho, ///
			estado_consPatrim_antesConsMun, /// 
			ConsEst_principal_OrgExec, /// 
			estado_leiPatr_antesConselho, ///
			estado_transfRecurso_tombados, ///
			Est_possui_instituto)	
			
	*mat shapley_patrimonio = e(shapley)
	
	* OUTPUT
		esttab CMP_existe_UF CMP_existe_semUF CMP_existe_semUFselec using C:\Users\liuta\Desktop\CMP_existe.rtf, ///
			replace ///
			r2 se scalars(r2_a rmse) obslast ///
			drop(uf_1 uf_2 uf_3 uf_4 uf_5 uf_6 uf_7 uf_8 uf_9 uf_10 ///
			uf_11 uf_12	uf_13 uf_14 uf_15 uf_16 uf_17 uf_18 uf_19 uf_20 uf_21 uf_22 uf_23 ///
			uf_24 uf_25 uf_26 uf_27)

************************ Tabela 1, Coluna 2: Idade conselho de patrimonio

reg  CMP_idade ///
			ln_pop_2018 ///
			ln_pib_percapita_2015 ///
			CAPITAL ///
			ln_N_funcion_dir_e_indir ///			
			fasfil_dir_cult_por1000 ///
			apoia_bem_tombado ///
			legisl_mun_patrim_antesConselho ///
			estado_consPatrim_antesConsMun ///
			estado_leiPatr_antesConselho ///
			estado_transfRecurso_tombados ///
			ConsEst_principal_OrgExec ///
			Est_possui_instituto
	
	estimates store CMP_idade_semUFselec, title(CMP_idade_semUFselec)
	
	shapley2, stat(r2) ///
	group (ln_pop_2018 ln_pib_percapita_2015 CAPITAL ln_N_funcion_dir_e_indir fasfil_dir_cult_por1000, ///
			apoia_bem_tombado, ///
			legisl_mun_patrim_antesConselho, ///
			estado_consPatrim_antesConsMun, /// 
			ConsEst_principal_OrgExec, /// 
			estado_leiPatr_antesConselho, ///
			estado_transfRecurso_tombados, ///
			Est_possui_instituto)	

*mat shapley_patrimonio = shapley_patrimonio,e(shapley)	
	
	*OUTPUT

		esttab CMP_idade_UF CMP_idade_semUF CMP_idade_semUFselec using C:\Users\liuta\Desktop\CMP_idade.rtf,  ///
			replace ///
			r2 se scalars(r2_a rmse) obslast ///
			drop(uf_1 uf_2 uf_3 uf_4 uf_5 uf_6 uf_7 uf_8 uf_9 uf_10 ///
			uf_11 uf_12	uf_13 uf_14 uf_15 uf_16 uf_17 uf_18 uf_19 uf_20 uf_21 uf_22 uf_23 ///
			uf_24 uf_25 uf_26 uf_27)
		
		

************************ Tabela 1, Coluna 3: Nmero de reunioes do conselho de patrimonio
	
	reg  Nreun_12M_patr ///
			ln_pop_2018 ///
			ln_pib_percapita_2015 ///
			CAPITAL ///
			ln_N_funcion_dir_e_indir ///			
			fasfil_dir_cult_por1000 ///
			apoia_bem_tombado ///
			legisl_mun_patrim_antesConselho ///
			estado_consPatrim_antesConsMun ///
			estado_leiPatr_antesConselho ///
			estado_transfRecurso_tombados ///
			ConsEst_principal_OrgExec ///
			Est_possui_instituto
				
	estimates store CMP_Nreunioes_semUFselec, title(CMP_Nreunioes_semUFselec)
	
	shapley2, stat(r2) ///
	group (ln_pop_2018 ln_pib_percapita_2015 CAPITAL ln_N_funcion_dir_e_indir fasfil_dir_cult_por1000, ///
			apoia_bem_tombado, ///
			legisl_mun_patrim_antesConselho, ///
			estado_consPatrim_antesConsMun, /// 
			ConsEst_principal_OrgExec, /// 
			estado_leiPatr_antesConselho, ///
			estado_transfRecurso_tombados, ///
			Est_possui_instituto)	


	*mat shapley_patrimonio = shapley_patrimonio,e(shapley)

	*OUTPUT
		esttab CMP_Nreunioes_UF CMP_Nreunioes_semUF CMP_Nreunioes_semUFselec using C:\Users\liuta\Desktop\CMP_Nreunioes.rtf, ///
			replace ///
			r2 se scalars(r2_a rmse) obslast ///
			drop(uf_1 uf_2 uf_3 uf_4 uf_5 uf_6 uf_7 uf_8 uf_9 uf_10 ///
			uf_11 uf_12	uf_13 uf_14 uf_15 uf_16 uf_17 uf_18 uf_19 uf_20 uf_21 uf_22 uf_23 ///
			uf_24 uf_25 uf_26 uf_27)
		
	