
clear all

*<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
*<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< DEFINE OPÇÕES GERAIS>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
*<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

* USAR VÍRGULA COMO PADRÃO (P/ DECIMAIS)
	set dp comma

* APRESENTA TODOS OS OUTPUTS DE UMA VEZ (desliga o "more..."). 
*ps.: ESSE COMANDO TEM QUE SER DIGITADO DIRETAMENTE NO PROMPT DO STATA. EXECUTAR PELO DO-FILE NÃO FUNCIONA
	set more off, permanently

*INSTALAÇÕES DE PACOTES
	*ssc install shapley2
	*ssc install esttab
	
*use "C:\Users\liuta\Dropbox\2.PAPERS\2022_Adr&Car_Subn2\1_Data\2017_dados_recodificado.dta", clear
use "C:\Users\hguic\OneDrive\2.PAPERS\2022_Adr&Car_Subn2\1_Data\2017_dados_recodificado_stata13.dta", clear

*<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
*<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< ANÁLISES>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
*<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>


*----------------------------------------------------------------------
*----------------------------------------------------------------------
* TABELA 2 - Regressoes Meio Ambiente
*----------------------------------------------------------------------
*----------------------------------------------------------------------
* Colunas 1, 2 e 3
    
local vars_dep = `" "cons_MA" "CMA_idade" "Nreun_12M_MA" "'
local count = 1

foreach var_dep_i of local vars_dep{

	reg  `var_dep_i' ///
	ln_pop_2017 ln_pib_percapita_2015 CAPITAL ///
	ln_N_funcion_dir_e_indir ///
	fasfil_dir_amb_por1000  ///
	lei_coletaSelet_antesCMA  ///
	lei_saneament_antesCMA ///	
	lei_areaProt_antesCMA ///	
	lei_poluicao_antesCMA ///	
	secretariaMA_exclusiva ///
	secretariaMA_outroTipo ///
	recursos_MA ///
	estado_icmsEc_repasse ///
	estado_CEMA_ant_CMMA ///
	estado_capacitFedPartipMA
	
	local modelName_i = "MA_" + `"`count'"'	
	estimates store `modelName_i', 
		
	shapley2, stat(r2) group (ln_pop_2017 ln_pib_percapita_2015 CAPITAL, ///
	ln_N_funcion_dir_e_indir fasfil_dir_amb_por1000, ///
	lei_coletaSelet_antesCMA lei_saneament_antesCMA ///
	lei_areaProt_antesCMA lei_poluicao_antesCMA ///
	secretariaMA_exclusiva secretariaMA_outroTipo ///
	recursos_MA, ///
	estado_icmsEc_repasse, ///
	estado_CEMA_ant_CMMA, ///
	estado_capacitFedPartipMA)
		
	mat shapley_i = e(shapley)
	mat coln shapley_i = `modelName_i'
	
	if `count' == 1{
		mat shapley_MA_estadic_curto = shapley_i
	}
	else if `count' > 1{
		mat shapley_MA_estadic_curto = shapley_MA_estadic_curto,shapley_i
	}
	
	local count = `count' + 1
	}
	
* 

matsave shapley_MA_estadic_curto, path("C:\Users\hguic\desktop\") saving replace

estimates dir


esttab `r(names)' ///
	using C:\Users\liuta\Desktop\regressoes_MA_estadic_curto.rtf, replace ///
	r2 se scalars(r2_a rmse) obslast

	
estimates clear
